Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2KeyExchanger

    java.lang.Object
      com.mindbright.ssh2.SSH2KeyExchanger

Direct Known Subclasses:
  SSH2KEXDHGroup14SHA1, SSH2KEXDHGroup1SHA1

public abstract class SSH2KeyExchanger
extends java.lang.Object

Base class for implementing ssh key exchange algorithms.

Constructor Summary
`protected` | `SSH2KeyExchanger()`

Method Summary
`abstract byte[]` | `getExchangeHash_H()`
`abstract MessageDigest` | `getExchangeHashAlgorithm()`
`abstract java.lang.String` | `getHostKeyAlgorithms()`
`static SSH2KeyExchanger` | `getInstance(java.lang.String algorithm)`
`abstract byte[]` | `getSharedSecret_K()`
`abstract void` | `init(SSH2Transport transport)`
`abstract void` | `processKEXMethodPDU(SSH2TransportPDU pdu)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSH2KeyExchanger

    protected SSH2KeyExchanger()

Method Detail

### getInstance

    public static SSH2KeyExchanger getInstance(java.lang.String algorithm)
                                        throws SSH2KEXFailedException

  Throws:
    `SSH2KEXFailedException`

### init

    public abstract void init(SSH2Transport transport)
                       throws SSH2Exception

  Throws:
    `SSH2Exception`

### processKEXMethodPDU

    public abstract void processKEXMethodPDU(SSH2TransportPDU pdu)
                                      throws SSH2Exception

  Throws:
    `SSH2Exception`

### getExchangeHashAlgorithm

    public abstract MessageDigest getExchangeHashAlgorithm()

### getSharedSecret_K

    public abstract byte[] getSharedSecret_K()

### getExchangeHash_H

    public abstract byte[] getExchangeHash_H()

### getHostKeyAlgorithms

    public abstract java.lang.String getHostKeyAlgorithms()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD